<?php
/**
 * Collection of active callback functions for customizer fields.
 *
 * @package Glaze_Blog_Lite
 */

if ( ! function_exists( 'glaze_blog_lite_active_top_header' ) ) {
	/**
	 * Active callback function for when top header is active.
	 *
	 * @since 1.0.0
	 *
	 * @param  object $control WP Customize Control.
	 * @return boolean
	 */
	function glaze_blog_lite_active_top_header( $control ) {

		return $control->manager->get_setting( 'glaze_blog_lite_field_display_top_header' )->value();
	}
}



if ( ! function_exists( 'glaze_blog_lite_active_carousel' ) ) {
	/**
	 * Active callback function for when carousel is active.
	 *
	 * @since 1.0.0
	 *
	 * @param  object $control WP Customize Control.
	 * @return boolean
	 */
	function glaze_blog_lite_active_carousel( $control ) {

		return $control->manager->get_setting( 'glaze_blog_lite_field_display_carousel' )->value();
	}
}



if ( ! function_exists( 'glaze_blog_lite_active_related_section' ) ) {
	/**
	 * Active callback function for when related section is active.
	 *
	 * @since 1.0.0
	 *
	 * @param  object $control WP Customize Control.
	 * @return boolean
	 */
	function glaze_blog_lite_active_related_section( $control ) {

		return $control->manager->get_setting( 'glaze_blog_lite_field_display_related_section' )->value();
	}
}



if ( ! function_exists( 'glaze_blog_lite_active_breadcrumb' ) ) {
	/**
	 * Active callback function for when breadcrumb is active.
	 *
	 * @since 1.0.0
	 *
	 * @param  object $control WP Customize Control.
	 * @return boolean
	 */
	function glaze_blog_lite_active_breadcrumb( $control ) {

		return $control->manager->get_setting( 'glaze_blog_lite_field_display_breadcrumb' )->value();
	}
}



if ( ! function_exists( 'glaze_blog_lite_active_feat_img_in_search' ) ) {
	/**
	 * Active callback function for when display featured image is active.
	 *
	 * @since 1.0.0
	 *
	 * @param  object $control WP Customize Control.
	 * @return boolean
	 */
	function glaze_blog_lite_active_feat_img_in_search( $control ) {

		return $control->manager->get_setting( 'glaze_blog_lite_field_search_display_feat_img' )->value();
	}
}



if ( ! function_exists( 'glaze_blog_lite_active_feat_img_in_archive' ) ) {
	/**
	 * Active callback function for when display featured image is active.
	 *
	 * @since 1.0.0
	 *
	 * @param  object $control WP Customize Control.
	 * @return boolean
	 */
	function glaze_blog_lite_active_feat_img_in_archive( $control ) {

		return $control->manager->get_setting( 'glaze_blog_lite_field_archive_display_feat_img' )->value();
	}
}
